Page MenuHomePhabricator

$wgSecretKey should be set in LocalSettings.php for the wikibase container
Closed, ResolvedPublic

Description

It should be set so things like persistent settings and OAuth work correctly.

We could grep it from the generated LocalSettings and preserve it. This is good because it will be random for different installations.

Alternatively we can set it to a static non-secret value and allow users to overwrite at their discretion (as an environment variable). This has the advantage that if users bring down the wikibase container and start it up again then the configurations they have made in OAuth consumers and the cookies their browsers have will still be valid.

I think the latter is probably the way to go and is consistent with the current setup of static users and passwords.

Event Timeline

Tarrow created this task.Apr 30 2018, 3:42 PM
Tarrow updated the task description. (Show Details)Apr 30 2018, 4:02 PM

I've created a PR for this: https://github.com/wmde/wikibase-docker/pull/17

The dependencies are a little messy since we've not yet merged https://github.com/wmde/wikibase-docker/pull/14

Tarrow moved this task from Bugs to Review on the Wikibase-Containers board.
Tarrow moved this task from Backlog to Review on the User-TArrow board.
Tarrow moved this task from Tasks to Needs Review on the Wikidata-Ministry-Of-Magic board.
Tarrow moved this task from Review to Done on the Wikibase-Containers board.May 18 2018, 8:11 AM
Tarrow closed this task as Resolved.May 23 2018, 9:04 AM
Tarrow moved this task from Blocked to Done on the Wikidata-Ministry-Of-Magic board.
Vvjjkkii renamed this task from $wgSecretKey should be set in LocalSettings.php for the wikibase container to yydaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mainframe98 renamed this task from yydaaaaaaa to $wgSecretKey should be set in LocalSettings.php for the wikibase container.Jul 1 2018, 8:09 AM
Mainframe98 closed this task as Resolved.
Mainframe98 raised the priority of this task from High to Needs Triage.
Mainframe98 assigned this task to Tarrow.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added a subscriber: Aklapper.